hxt-9.3.1.15: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2010 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Stability | experimental
Portability | not portable
Safe Haskell | Safe
Language | Haskell98

Control.Arrow.ArrowExc

Description

The exception arrow class

# Documentation

class (Arrow a, ArrowChoice a, ArrowZero a, ArrowIO a) => ArrowExc a where Source

Minimal complete definition

tryA

Methods

tryA :: a b c -> a b (Either SomeException c) Source

catchA :: a b c -> a SomeException c -> a b c Source

Instances

ArrowExc IOLA Source |
ArrowExc (IOSLA s) Source |